# OnprintSDK

## Requirements

- iOS 9.0+
- Swift 4.1
- Xcode 9.0+

## Installation

In the target's General tab, there is an Embedded Binaries section, you need to add the framework there.

## Initialization

Add the following line in your AppDelegate ```didFinishLaunchingWithOptions```.

``` Swift
Onprint.setAPIKey("apiKey")
```

## Camera View

You can intialize the camera view. It's inside a navigation controller.

``` Swift
Onprint.cameraViewController()
```

## Enriched Image

You can get an **Image** model from a taken picture. The **Image** contains all enriched image data.

``` Swift
func scanPicture(_ picture: UIImage, completion: @escaping (OnprintSDK.Image?, Error?) -> Swift.Void)
```

## Model Classes

Models with enriched image data. 

- Image
- Action
- Content
- Style
- Button
- Text
- Icon
